OpenStack Dashboard (Horizon)

Edit flavor with extra specs fails

Reported by Malini Bhandaru on 2012-12-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Dashboard (Horizon)
High
Malini Bhandaru

Bug Description

If a flavor has extra specs, and one tries to edit it, it fails with a error.

×

Error: There was an error submitting the form. Please try again.

Need to add edit tests to test suite to avoid such over-sights.

Changed in horizon:
assignee: nobody → Malini Bhandaru (malini-k-bhandaru)

Note: editing a flavor with no extra specs works, editting an extra spec that exists works.
The "cleaned" support came along around the same time as the flavor edit fix came along .. are they not playing nice together?

horizon_error.log

[Tue Dec 04 11:27:07 2012] [error] RESP:{'status': '200', 'content-length': '535', 'content-location': u'http://143.183.85.75:8774/v2/f5c9240d8bb84c36a4b579768b83f548/flavors/b903a47f-ddbb-4d2f-a298-f6dba429196f', 'x-compute-request-id': 'req-6375c88c-263f-491e-9b36-d1e4f3ed6e32', 'date': 'Tue, 04 Dec 2012 11:27:07 GMT', 'content-type': 'application/json'} {"flavor": {"name": "m1.tiny222458", "links": [{"href": "http://143.183.85.75:8774/v2/f5c9240d8bb84c36a4b579768b83f548/flavors/b903a47f-ddbb-4d2f-a298-f6dba429196f", "rel": "self"}, {"href": "http://143.183.85.75:8774/f5c9240d8bb84c36a4b579768b83f548/flavors/b903a47f-ddbb-4d2f-a298-f6dba429196f", "rel": "bookmark"}], "ram": 512, "OS-FLV-DISABLED:disabled": false, "vcpus": 1, "swap": "", "os-flavor-access:is_public": true, "rxtx_factor": 1.0, "OS-FLV-EXT-DATA:ephemeral": 0, "disk": 0, "id": "b903a47f-ddbb-4d2f-a298-f6dba429196f"}}

Gabriel Hurley (gabriel-hurley) wrote :

I was under the impression that this had been tested. If not we need to get this fixed ASAP.

Changed in horizon:
importance: Undecided → High
milestone: none → grizzly-2
status: New → Confirmed
Changed in horizon:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/17526
Committed: http://github.com/openstack/horizon/commit/95a034ae6295cf20e73c9857ba438e1da808bb8f
Submitter: Jenkins
Branch: master

commit 95a034ae6295cf20e73c9857ba438e1da808bb8f
Author: Malini Bhandaru <email address hidden>
Date: Mon Dec 10 18:04:27 2012 -0500

    Fixes bug 1086290
    https://bugs.launchpad.net/horizon/+bug/1086290,
    edit-flavor broken when flavor has extra specs.
    Includes unittest for the same, and modified mock data to
    to include extra-specs
    Change-Id: I286d97568daff26bbd03418b2ea0b808caceadba

Changed in horizon:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-01-09
Changed in horizon:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-04-04
Changed in horizon:
milestone: grizzly-2 → 2013.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers